RESTinio

Public Types | Public Member Functions | List of all members
std::hash< nonstd::expected< T, E > > Struct Template Reference

`#include <expected.hpp>`

## Public Types
using | result_type = std::size_t
using | argument_type = nonstd::expected< T, E >

## Public Member Functions
constexpr result_type | operator() (argument_type const &arg) const

## Detailed Description

template<typename T, typename E>
struct std::hash< nonstd::expected< T, E > >

Definition at line 2422 of file expected.hpp.

## Member Typedef Documentation

## ◆ argument_type

template<typename T , typename E >

using std::hash< nonstd::expected< T, E > >::argument_type = nonstd::expected<T,E>

Definition at line 2425 of file expected.hpp.

## ◆ result_type

template<typename T , typename E >

using std::hash< nonstd::expected< T, E > >::result_type = std::size_t

Definition at line 2424 of file expected.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename T , typename E >

constexpr result_type std::hash< nonstd::expected< T, E > >::operator() | ( | argument_type const & | arg | ) | const
| inline constexpr

Definition at line 2427 of file expected.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/expected-lite/expected.hpp